Bug 329051 - Crash in attempted multihead configuration
Crash in attempted multihead configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 02:02 EDT by Andrew Bartlett
Modified: 2008-05-09 01:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-09 01:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Working xorg log, from no config (others to follow) (207.70 KB, text/plain)
2007-10-12 02:02 EDT, Andrew Bartlett
no flags Details
Config that causes the crash (965 bytes, text/plain)
2007-10-12 02:03 EDT, Andrew Bartlett
no flags Details
Xorg config showing Sig11 (35.42 KB, text/plain)
2007-10-12 02:23 EDT, Andrew Bartlett
no flags Details
Debug session on another computer showing the same issue (2.92 KB, text/plain)
2008-01-08 01:07 EST, Andrew Bartlett
no flags Details

  None (edit)
Description Andrew Bartlett 2007-10-12 02:02:56 EDT
Description of problem:
Attempting to setup dual head configuration, with DVI and VGA outputs pointing
at 2 LCD screens fails. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.1.1-4.fc8


How reproducible:
Every time

Steps to Reproduce:
1. Using supplied xorg.conf
2. Start X
3. boom
  
Actual results:
Sig11 in X server
cannot restore display (perhaps a kernel issue)

Expected results:
dual head-lovelyness.   Actually seen working with xrandr at runtime

Additional info:
System works (single head) without a config file.  Runs in clone mode if VGA
connector sill connected to other LCD.
Comment 1 Andrew Bartlett 2007-10-12 02:02:57 EDT
Created attachment 225051 [details]
Working xorg log, from no config (others to follow)
Comment 2 Andrew Bartlett 2007-10-12 02:03:58 EDT
Created attachment 225061 [details]
Config that causes the crash
Comment 3 Andrew Bartlett 2007-10-12 02:23:10 EDT
Created attachment 225071 [details]
Xorg config showing Sig11
Comment 4 Andrew Bartlett 2007-10-12 02:24:34 EDT
Any suggestions as to debuginfo packages to install and advise on how best to
attach gdb for a more useful backtrace gratefully accepted.
Comment 5 Matěj Cepl 2007-10-12 10:44:24 EDT
I think we have what we need in the attachment 225071 [details], and I will now pass it to
the developers. If you want to digg deeper, there is of course
http://www.x.org/wiki/Development/Documentation/ServerDebugging
Comment 6 Andrew Bartlett 2008-01-08 01:07:59 EST
Created attachment 291037 [details]
Debug session on another computer showing the same issue

Another of my computers (ati chipset) shows the same issue, and gdb shows up
the NULL pointer de-reference easily.
Comment 7 Andrew Bartlett 2008-01-08 01:10:25 EST
This appears to be in the common code, rather than the i810 driver. 
Comment 8 Andrew Bartlett 2008-01-08 01:14:41 EST
sorry for the stream of updates...

This occurs on current rawhide, with
xorg-x11-server-Xorg-1.4.99.1-0.13.fc9
xorg-x11-drv-ati-6.7.196-5.fc9
Comment 9 Andrew Bartlett 2008-01-09 16:35:10 EST
When avoiding the old multi-head code, and using new randr only, it now works on
both F8 (i810) and rawhide (radeon). 

However, the path to this segfault should be eliminated...

Note You need to log in before you can comment on or make changes to this bug.